/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management;

/**
 * Use to gain access to the <code>Descriptor</code> class associated with  
 * a JMX component.
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.3 $
 */
public interface DescriptorAccess
{
    /**
     * Returns a copy of the <code>Descriptor</code>
     *
     * @param Descriptor The copy of the Descriptor
     */
	public Descriptor getDescriptor();

    /**
     * Sets the <code>Descriptor</code> and replaces the other (if any)
     *
     * @param inDescriptor The <code>Descriptor</code> to set.
     *
     */
	public void setDescriptor(Descriptor inDescriptor);
}
