/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.6 $
 */
public class MBeanServerNotification extends Notification
{
	private static final long serialVersionUID = 2876477500475969677L;

    public static final String REGISTRATION_NOTIFICATION = "JMX.mbean.registered";
	public static final String UNREGISTRATION_NOTIFICATION = "JMX.mbean.unregistered";

	private ObjectName objectName;

	public MBeanServerNotification(String type, Object source, long sequenceNumber, ObjectName objectName)
	{
		super(type, source, sequenceNumber, "");
		if (!type.equals(REGISTRATION_NOTIFICATION) && !type.equals(UNREGISTRATION_NOTIFICATION)) {throw new RuntimeOperationsException(new IllegalArgumentException("Bad notification type for MBeanServerNotification"));}
		this.objectName = objectName;
	}

	public ObjectName getMBeanName() {return objectName;}

	public String toString()
	{
		StringBuffer b = new StringBuffer(super.toString());
		b.append("[");
		b.append(getMBeanName());
		b.append("]");
		return b.toString();
	}
}
