/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management;

import java.io.Serializable;

/**
 * Implemented by a class that acts as a NotificationFilter, which allows
 * it to filter the notifications. 
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.3 $
 */
public interface NotificationFilter extends Serializable
{
    /**
     * Invoked before sending the <code>Notification</code> to the listener.
     *
     * @return boolean true if the Notification should be sent, false otherwise
     *
     */
	public boolean isNotificationEnabled(Notification notification);
}
