/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management;

import java.io.Serializable;

/**
 * Represents relational constraint.
 * 
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.4 $
 */
public interface QueryExp extends Serializable
{
    /**
     * Apply the QueryExp on an <code>MBean</code>
     *
     * @param name The <code>ObjectName</code> of the <code>MBean</code> to
     *          apply this <code>QueryExp</code> againts.
     * @return boolean true if the query was successfully applied,false otherwise.
     * @throws BadStringOperationException 
     * @throws BadBinaryOpValueExpException
     * @throws BadAttributeValueExpException
     * @throws InvalidApplicationExpException
     *
     */
	public boolean apply(ObjectName name) throws BadStringOperationException, BadBinaryOpValueExpException, BadAttributeValueExpException, InvalidApplicationException;

    /**
     * Sets the <code>MBeanServer</code>.
     *
     * @param server The MBeanServer
     */
	public void setMBeanServer(MBeanServer server);
}
