/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management;

import java.io.Serializable;


/**
 * Represents values that can be passed to relational expressions.
 *
 * @author <a href="mailto:tibu@users.sourceforge.net">Carlos Quiroz</a>
 * @version $Revision: 1.4 $
 */
public interface ValueExp extends Serializable
{
    /**
     *
     * Apply the QueryExp on an <code>MBean</code>
     *
     * @param name The <code>ObjectName</code> of the <code>MBean</code> to
     *          apply this <code>ValueExp</code> againts.
     * @return ValueExp The value exp.
     * @throws BadStringOperationException
     * @throws BadBinaryOpValueExpException
     * @throws BadAttributeValueExpException
     * @throws InvalidApplicationExpException
     *
     */
	public ValueExp apply(ObjectName name) throws BadStringOperationException, BadBinaryOpValueExpException, BadAttributeValueExpException, InvalidApplicationException;

    /**
     * Sets the <code>MBeanServer</code>
     *
     * @param server The <code>MBeanServer</code>
     */
	public void setMBeanServer(MBeanServer server);
}
