/**
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management.openmbean;

import java.util.Collection;

/**
 * @author <a href="mailto:shadow12@users.sourceforge.net">Bronwen Cassidy</a>
 * @version $Revision: 1.3 $
 */
public interface CompositeData
{
	public boolean containsKey(String key);

	public boolean containsValue(Object value);

	public boolean equals(Object object);

	public Object get(String key) throws InvalidKeyException;

	public Object[] getAll(String[] keys) throws javax.management.openmbean.InvalidKeyException;

	public CompositeType getCompositeType();

	public int hashCode();

	public String toString();

	public Collection values();
}
