/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management.timer;

import java.util.Date;
import java.util.Vector;

import javax.management.InstanceNotFoundException;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public interface TimerMBean
{
	public void start();
	public void stop();
	public boolean isActive();
	public Integer addNotification(String type, String message, Object userData, Date date) throws IllegalArgumentException;
	public Integer addNotification(String type, String message, Object userData, Date date, long period) throws IllegalArgumentException;
	public Integer addNotification(String type, String message, Object userData, Date date, long period, long nbOccurences) throws IllegalArgumentException;
	public void removeNotification(Integer id) throws InstanceNotFoundException;
	public void removeNotifications(String type) throws InstanceNotFoundException;
	public void removeAllNotifications();
	public int getNbNotifications();
	public Vector getAllNotificationIDs();
	public Vector getNotificationIDs(String type);
	public String getNotificationType(Integer id);
	public String getNotificationMessage(Integer id);
	public Object getNotificationUserData(Integer id);
	public Date getDate(Integer id);
	public Long getPeriod(Integer id);
	public Long getNbOccurences(Integer id);
	public boolean getSendPastNotifications();
	public void setSendPastNotifications(boolean value);
	public boolean isEmpty();
}
