/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package javax.management.timer;

import javax.management.Notification;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.6 $
 */
public class TimerNotification extends Notification
{
	private static final long serialVersionUID = 1798492029603825750L;

	private static long m_sequenceNumber;

	private Integer notificationID;

	TimerNotification(String type, Object source, String message, Integer id)
	{
		super(type, source, getNextSequenceNumber(), System.currentTimeMillis(), message);
		this.notificationID = id;
	}

	public Integer getNotificationID()
	{
		return notificationID;
	}

	private static synchronized long getNextSequenceNumber()
	{
		return m_sequenceNumber++;
	}

	public String toString()
	{
		StringBuffer b = new StringBuffer("[");
		b.append(super.toString());
		b.append(", notificationID=").append(notificationID);
		b.append("]");
		return b.toString();
	}
}
