/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j;

import java.lang.reflect.Constructor;
import java.lang.reflect.Method;

/**
 * Default implementation for the MBeanDescription interface.
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public class MBeanDescriptionAdapter implements MBeanDescription
{
	public String getMBeanDescription()
	{
		return "Manageable Bean";
	}

	public String getConstructorDescription(Constructor ctor)
	{
		return "Constructor exposed for management";
	}

	public String getConstructorParameterName(Constructor ctor, int index)
	{
		return "param" + (index + 1);
	}

	public String getConstructorParameterDescription(Constructor ctor, int index)
	{
		return "Constructor's parameter n. " + (index + 1);
	}

	public String getAttributeDescription(String attribute)
	{
		return "Attribute exposed for management";
	}

	public String getOperationDescription(Method operation)
	{
		return "Operation exposed for management";
	}

	public String getOperationParameterName(Method method, int index)
	{
		return "param" + (index + 1);
	}

	public String getOperationParameterDescription(Method method, int index)
	{
		return "Operation's parameter n. " + (index + 1);
	}
}
