/*
 * Generated file - Do not edit!
 */
package mx4j.adaptor.http;

/**
 * MBean interface.
 * @author <a href="mailto:tibu@users.sourceforge.net">Carlos Quiroz</a>
 * @version $Revision: 1.16 $
 */
public interface HttpAdaptorMBean {

   /**
    * Sets the value of the server's port
    * @param port the new port's value
    */
  void setPort(int port) ;

   /**
    * Returns the port where the server is running on. Default is 8080
    * @return HTTPServer's port
    */
  int getPort() ;

   /**
    * Sets the host name where the server will be listening
    * @param host Server's host
    */
  void setHost(java.lang.String host) ;

   /**
    * Return the host name the server will be listening to. If null the server listen at the localhost
    * @return the current hostname
    */
  java.lang.String getHost() ;

   /**
    * Sets the Authentication Method.
    * @param method none/basic/digest
    */
  void setAuthenticationMethod(java.lang.String method) ;

   /**
    * Authentication Method
    * @return authentication method
    */
  java.lang.String getAuthenticationMethod() ;

   /**
    * Sets the object which will post process the XML results. The last value set between the setPostProcessor and setPostProcessorName will be the valid one
    * @param processor a Post processor object
    */
  void setProcessor(mx4j.adaptor.http.ProcessorMBean processor) ;

   /**
    * Sets the classname of the object which will post process the XML results. The adaptor will try to build the object and use the processor name ObjectName to register it The class name has to implements mx4j.adaptor.http.ProcessorMBean and be MBean compliant
    * @param processor a Post processor object
    */
  void setProcessorClass(java.lang.String processorClass) ;

   /**
    * Sets the object name of the PostProcessor MBean. If ProcessorClass is set the processor will be created
    * @param processor a Post processor object
    */
  void setProcessorNameString(java.lang.String processorName) throws javax.management.MalformedObjectNameException;

   /**
    * Sets the object name which will post process the XML result. The last value set between the setPostProcessor and setPostProcessorName will be the valid one. The MBean will be verified to be of instance HttpPostProcessor
    * @param processorName The new processorName value
    */
  void setProcessorName(javax.management.ObjectName processorName) ;

  mx4j.adaptor.http.ProcessorMBean getProcessor() ;

  javax.management.ObjectName getProcessorName() ;

   /**
    * Sets the object which create the server sockets
    * @param factory the socket factory
    */
  void setSocketFactory(mx4j.adaptor.AdaptorServerSocketFactory factory) ;

   /**
    * Sets the factory's object name which will create the server sockets
    * @param factory the socket factory
    */
  void setSocketFactoryName(javax.management.ObjectName factoryName) ;

   /**
    * Sets the factory's object name which will create the server sockets
    * @param factory the socket factory
    */
  void setSocketFactoryNameString(java.lang.String factoryName) throws javax.management.MalformedObjectNameException;

   /**
    * Indicates whether the server's running
    * @return The active value
    */
  boolean isActive() ;

   /**
    * Starting date
    * @return The date when the server was started
    */
  java.util.Date getStartDate() ;

   /**
    * Requests count
    * @return The total of requests served so far
    */
  long getRequestsCount() ;

   /**
    * Gets the HttpAdaptor version
    * @return HttpAdaptor's version
    */
  java.lang.String getVersion() ;

   /**
    * Adds a command processor object
    */
  void addCommandProcessor(java.lang.String path,mx4j.adaptor.http.HttpCommandProcessor processor) ;

   /**
    * Adds a command processor object by class
    */
  void addCommandProcessor(java.lang.String path,java.lang.String processorClass) ;

   /**
    * Removes a command processor object by class
    */
  void removeCommandProcessor(java.lang.String path) ;

   /**
    * Starts the server
    */
  void start() throws java.io.IOException;

   /**
    * Stops the HTTP daemon
    */
  void stop() ;

   /**
    * Adds an authorization pair as username/password
    */
  void addAuthorization(java.lang.String username,java.lang.String password) ;

}
