/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.adaptor.interceptor;

/**
 * This exception is only used internally by the {@link AdaptorInterceptor} class, to
 * avoid that interceptors do too much exception logging.
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.1 $
 */
public class AdaptorInterceptorException extends Exception
{
	private Exception m_target;

	public AdaptorInterceptorException(Exception target)
	{
		m_target = target;
	}

	public Exception getTargetException()
	{
		return m_target;
	}
}
