/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.adaptor.interceptor;

/**
 * The interceptor interface for JMX adaptors. <p>
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public interface Interceptor extends Invocable
{
	/**
	 * Returns the type of this interceptor
	 */
	public String getType();
	/**
	 * Sets the next interceptor in the chain
	 */
	public void setNext(Interceptor interceptor);
}
