/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.adaptor.interceptor;

import mx4j.log.Logger;

/**
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.1 $
 */
public class LoggerAdaptorInterceptor extends AdaptorInterceptor
{
	public LoggerAdaptorInterceptor()
	{
		setEnabled(true);
	}

	public String getType()
	{
		return "logger";
	}

	public InvocationResult invoke(Invocation invocation) throws Exception
	{
		Logger logger = getLogger();
		try
		{
			InvocationResult result = doInvoke(invocation);
			if (logger.isEnabledFor(Logger.DEBUG)) logger.debug("Result is: " + result);
			return result;
		}
		catch (AdaptorInterceptorException x)
		{
			Exception xx = x.getTargetException();
			if (logger.isEnabledFor(Logger.INFO)) logger.info("", xx);
			throw xx;
		}
		catch (Exception x)
		{
			logger.info("", x);
			throw x;
		}
		catch (Error x)
		{
			logger.error("", x);
			throw x;
		}
	}
}
