/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.loading;

import java.security.SecureClassLoader;

import javax.management.loading.ClassLoaderRepository;

/**
 * A classloader that delegates to the ClassLoaderRepository
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.2 $
 */
public class RepositoryClassLoader extends SecureClassLoader
{
	private ClassLoaderRepository m_repository;

	public RepositoryClassLoader(ClassLoaderRepository repository)
	{
		m_repository = repository;
	}

	public Class loadClass(String name) throws ClassNotFoundException
	{
		return m_repository.loadClass(name);
	}
}
