/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.persist;

import mx4j.persist.PersisterMBean;

import javax.management.MBeanException;
import javax.management.RuntimeOperationsException;
import javax.management.InstanceNotFoundException;

/**
 * This class has the only purpose of making the PersisterMBean interface a management interface. <p>
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.3 $
 */
public abstract class Persister implements PersisterMBean {

	/**
	 * Loads the information persisted on the storage media.
	 * @see #store
	 */
	public abstract Object load() throws MBeanException, RuntimeOperationsException, InstanceNotFoundException;

	/**
	 * Store the given information to the storage media.
	 * @see #load
	 */
	public abstract void store(Object data) throws MBeanException, RuntimeOperationsException, InstanceNotFoundException;

}
