/*
 * Copyright (C) MX4J.
 * All rights reserved.
 *
 * This software is distributed under the terms of the MX4J License version 1.0.
 * See the terms of the MX4J License in the documentation provided with this software.
 */

package mx4j.server;

import javax.management.loading.ClassLoaderRepository;

import mx4j.loading.RepositoryClassLoader;

/**
 * Base class to extend to create custom ClassLoaderRepositories. <br>
 *
 * @author <a href="mailto:biorn_steedom@users.sourceforge.net">Simone Bordet</a>
 * @version $Revision: 1.8 $
 */
// TODO: is it worth to make this class an MBean ?
public abstract class BaseClassLoaderRepository implements ClassLoaderRepository
{
	protected BaseClassLoaderRepository()
	{
	}

	protected abstract void addClassLoader(ClassLoader cl);

	protected abstract void removeClassLoader(ClassLoader cl);

	public abstract Class loadClass(String className)
	    throws ClassNotFoundException;

	public abstract Class loadClassWithout(
	    ClassLoader loader, String className)
	    throws ClassNotFoundException;
}
